Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi.activation
Class ActivationID

    java.lang.Object
      |
      +--java.rmi.activation.ActivationID

All Implemented Interfaces:
  Serializable

public class ActivationID
extends Object
implements Serializable

Activation makes use of special identifiers to denote remote objects that can be activated over time. An activation identifier (an instance of the class `ActivationID`) contains several pieces of information needed for activating an object:

- a remote reference to the object's activator, and
- a unique identifier for the object.

An activation id for an object can be obtained by registering an object with the activation system. Registration is accomplished in a few ways:

- via the `Activatable.register` method
- via the first `Activatable` constructor (that takes three arguments and both registers and exports the object, and
- via the first `Activatable.exportObject` method that takes the activation descriptor, object and port as arguments; this method both registers and exports the object.

Since:
  1.2
See Also:
  `Activatable`, Serialized Form

Constructor Summary
`ActivationID(Activator activator)` The constructor for `ActivationID` takes a single argument, activator, that specifies a remote reference to the activator responsible for activating the object associated with this identifier.

Method Summary
`Remote` | `activate(boolean force)` Activate the object for this id.
`boolean` | `equals(Object obj)` Compares two activation ids for content equality.
`int` | `hashCode()` Returns a hashcode for the activation id.

Methods inherited from class java.lang.Object
`clone, finalize, getClass, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ActivationID

    public ActivationID(Activator activator)

  The constructor for `ActivationID` takes a single argument, activator, that specifies a remote reference to the activator responsible for activating the object associated with this identifier. An instance of `ActivationID` is globally unique.
  Parameters:
    `activator` - reference to the activator responsible for activating the object
  Since:
    1.2

Method Detail

### activate

    public Remote activate(boolean force)
                    throws ActivationException,
                           UnknownObjectException,
                           RemoteException

  Activate the object for this id.
  Parameters:
    `force` - if true, forces the activator to contact the group when activating the object (instead of returning a cached reference); if false, returning a cached value is acceptable.
  Returns:
    the reference to the active remote object
  Throws:
    `ActivationException` - if activation fails
    `UnknownObjectException` - if the object is unknown
    `RemoteException` - if remote call fails
  Since:
    1.2

### hashCode

    public int hashCode()

  Returns a hashcode for the activation id. Two identifiers that refer to the same remote object will have the same hash code.
  Overrides:
    `hashCode` in class `Object`
  Since:
    1.2
  See Also:
    `Hashtable`

### equals

    public boolean equals(Object obj)

  Compares two activation ids for content equality. Returns true if both of the following conditions are true: 1) the unique identifiers equivalent (by content), and 2) the activator specified in each identifier refers to the same remote object.
  Overrides:
    `equals` in class `Object`
  Parameters:
    `obj` - the Object to compare with
  Returns:
    true if these Objects are equal; false otherwise.
  Since:
    1.2
  See Also:
    `Hashtable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.